Skip to content

User

The User endpoint provides endpoints for retrieving information about users.


Get User Data

Retrieves profile information for a specific user.

GET /v1/user/{user_id}

Parameters

Name Type In Description
user_id UUID Path The unique identifier for the user.

Example Request

cURL
curl -X GET \
  "https://research-api.nowatch.com/v1/user/YOUR_USER_ID" \
  -H "X-API-KEY: YOUR_API_KEY"

Example Response

200 OK
{
  "first_name": "Jane",
  "last_name": "Doe",
  "age": 30,
  "sex": "MALE",
  "height": 175,
  "weight": 75,
  "watch_hand": "LEFT",
  "dominant_hand": "RIGHT",
  "platform": "ANDROID"
}
403 Forbidden
{
  "type": "about:blank",
  "title": "Forbidden",
  "status": 403,
  "detail": "API key does not have access to this user_id",
  "instance": "/v1/user/YOUR_USER_ID",
  "code": "forbidden",
  "request_id": "c439fa34-c610-4715-8e78-e7baa296cd3c"
}

Get API Key Users

Retrieves the user_ids currently reachable by this API key — i.e. members of its linked group(s). See Finding which user_ids you can access for more context.

GET /v1/keys/users

Example Request

cURL
curl -X GET \
  "https://research-api.nowatch.com/v1/keys/users" \
  -H "X-API-KEY: YOUR_API_KEY"

Example Response

200 OK
{
  "user_ids": ["uid_a1b2c3d4e5f6...", "uid_f6e5d4c3b2a1..."]
}